using System.Collections.Generic;

namespace InABox.Reports.Common
{
    public static class ReportPrinters
    {
        private static readonly List<string> _printers = new();

        public static string[] All => _printers.ToArray();

        public static void Register(string printer)
        {
            if (!_printers.Contains(printer))
                _printers.Add(printer);
        }
    }
}